---
apiVersion: batch/v1
items:
- apiVersion: batch/v1
  kind: CronJob
  metadata:
    creationTimestamp: "2025-10-27T12:44:55Z"
    generation: 1
    labels:
      ocs.openshift.io/storageclient.name: ocs-storagecluster
    managedFields:
    - apiVersion: batch/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:labels:
            .: {}
            f:ocs.openshift.io/storageclient.name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"b37e019b-f7f6-479b-8c8a-e6b2dd9cbd28"}: {}
        f:spec:
          f:concurrencyPolicy: {}
          f:failedJobsHistoryLimit: {}
          f:jobTemplate:
            f:spec:
              f:activeDeadlineSeconds: {}
              f:template:
                f:spec:
                  f:activeDeadlineSeconds: {}
                  f:containers:
                    k:{"name":"heartbeat"}:
                      .: {}
                      f:command: {}
                      f:env:
                        .: {}
                        k:{"name":"OPERATOR_NAMESPACE"}:
                          .: {}
                          f:name: {}
                          f:value: {}
                        k:{"name":"OPERATOR_VERSION"}:
                          .: {}
                          f:name: {}
                          f:value: {}
                        k:{"name":"STORAGE_CLIENT_NAME"}:
                          .: {}
                          f:name: {}
                          f:value: {}
                      f:image: {}
                      f:imagePullPolicy: {}
                      f:name: {}
                      f:resources: {}
                      f:terminationMessagePath: {}
                      f:terminationMessagePolicy: {}
                  f:dnsPolicy: {}
                  f:restartPolicy: {}
                  f:schedulerName: {}
                  f:securityContext: {}
                  f:serviceAccount: {}
                  f:serviceAccountName: {}
                  f:terminationGracePeriodSeconds: {}
                  f:tolerations: {}
              f:ttlSecondsAfterFinished: {}
          f:schedule: {}
          f:successfulJobsHistoryLimit: {}
          f:suspend: {}
      manager: manager
      operation: Update
      time: "2025-10-27T12:44:55Z"
    - apiVersion: batch/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:lastScheduleTime: {}
          f:lastSuccessfulTime: {}
      manager: kube-controller-manager
      operation: Update
      subresource: status
      time: "2025-10-29T13:15:04Z"
    name: storageclient-737342087af10580-status-reporter
    namespace: openshift-storage
    ownerReferences:
    - apiVersion: ocs.openshift.io/v1alpha1
      blockOwnerDeletion: true
      controller: true
      kind: StorageClient
      name: ocs-storagecluster
      uid: b37e019b-f7f6-479b-8c8a-e6b2dd9cbd28
    resourceVersion: "2219936"
    uid: d1edb8e1-7683-4741-857f-3db2795851e9
  spec:
    concurrencyPolicy: Forbid
    failedJobsHistoryLimit: 1
    jobTemplate:
      metadata:
        creationTimestamp: null
      spec:
        activeDeadlineSeconds: 155
        template:
          metadata:
            creationTimestamp: null
          spec:
            activeDeadlineSeconds: 120
            containers:
            - command:
              - /status-reporter
              env:
              - name: STORAGE_CLIENT_NAME
                value: ocs-storagecluster
              - name: OPERATOR_NAMESPACE
                value: openshift-storage
              - name: OPERATOR_VERSION
                value: 4.19.6-rhodf
              image: registry.redhat.io/odf4/ocs-client-rhel9-operator@sha256:8b28dfb6731f991d25000b5fb1f239f9d21a8a3d2ab08de8348b4e64c2415d17
              imagePullPolicy: IfNotPresent
              name: heartbeat
              resources: {}
              terminationMessagePath: /dev/termination-log
              terminationMessagePolicy: File
            dnsPolicy: ClusterFirst
            restartPolicy: OnFailure
            schedulerName: default-scheduler
            securityContext: {}
            serviceAccount: ocs-client-operator-status-reporter
            serviceAccountName: ocs-client-operator-status-reporter
            terminationGracePeriodSeconds: 30
            tolerations:
            - effect: NoSchedule
              key: node.ocs.openshift.io/storage
              operator: Equal
              value: "true"
        ttlSecondsAfterFinished: 600
    schedule: '* * * * *'
    successfulJobsHistoryLimit: 1
    suspend: false
  status:
    lastScheduleTime: "2025-10-29T13:15:00Z"
    lastSuccessfulTime: "2025-10-29T13:15:04Z"
kind: CronJobList
metadata:
  resourceVersion: "2220123"
